Name:           perl-Carp-REPL
Version:        0.17
Release:        1%{?dist}
Summary:        Read-eval-print-loop on die and/or warn
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Carp-REPL/
Source0:        http://www.cpan.org/authors/id/T/TS/TSIBLEY/Carp-REPL-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Runtime
BuildRequires:  perl(Data::Dump::Streamer)
BuildRequires:  perl(Devel::LexAlias)
BuildRequires:  perl(Devel::REPL::Plugin)
BuildRequires:  perl(Devel::REPL::Script)
BuildRequires:  perl(Devel::StackTrace::WithLexicals)
BuildRequires:  perl(Sub::Exporter)
# Test::Builder
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(Devel::REPL)
BuildRequires:  perl(Test::Expect)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Sub::Exporter)
Requires:       perl(Devel::REPL::Script)
Requires:       perl(Test::Builder)

%{?perl_default_filter}

%description
Carp-REPL is a debugging aid for Perl programs. When a program dies (or warns),
you get a REPL instead of dying or continuing blindly.

%prep
%setup -q -n Carp-REPL-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Nov 25 2014 Petr Šabata <contyk@redhat.com> - 0.17-1
- 0.17 bump, compatibility fixes for Devel::StackTrace 2.00

* Wed Nov 12 2014 Petr Šabata <contyk@redhat.com> - 0.16-1
- 0.16 bump

* Tue Sep 02 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.15-10
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 05 2013 Petr Pisar <ppisar@redhat.com> - 0.15-8
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 0.15-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 04 2011 Iain Arnell <iarnell@gmail.com> 0.15-2
- Test::Expect and/or Devel::REPL fail under mock 1.1.8 in koji
  use --with expect-tests to enable locally

* Fri Sep 30 2011 Iain Arnell <iarnell@gmail.com> 0.15-1
- Specfile autogenerated by cpanspec 1.78.
